Package org.flowable.dmn.model

# Class DmnDefinition

java.lang.Object
org.flowable.dmn.model.DmnElement
org.flowable.dmn.model.NamedElement
org.flowable.dmn.model.DmnDefinition

public class DmnDefinition extends NamedElement

Author:
  Yvo Swillens

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Decision>`
  `decisions`
  `protected Map<String,Map<String,List<GraphicInfo>>>`
  `decisionServiceDividerLocationByDiagramIdMap`
  `protected Map<String,List<GraphicInfo>>`
  `decisionServiceDividerLocationMap`
  `protected List<DecisionService>`
  `decisionServices`
  `protected Map<String,DmnDiDiagram>`
  `diDiagrams`
  `protected String`
  `exporter`
  `protected String`
  `exporterVersion`
  `protected String`
  `expressionLanguage`
  `protected Map<String,Map<String,List<GraphicInfo>>>`
  `flowLocationByDiagramIdMap`
  `protected Map<String,List<GraphicInfo>>`
  `flowLocationMap`
  `protected List<InputData>`
  `inputData`
  `protected List<ItemDefinition>`
  `itemDefinitions`
  `protected Map<String,Map<String,GraphicInfo>>`
  `labelLocationByDiagramIdMap`
  `protected Map<String,GraphicInfo>`
  `labelLocationMap`
  `protected Map<String,Map<String,GraphicInfo>>`
  `locationByDiagramIdMap`
  `protected Map<String,GraphicInfo>`
  `locationMap`
  `protected String`
  `namespace`
  `protected Map<String,String>`
  `namespaceMap`
  `protected String`
  `typeLanguage`

  ### Fields inherited from class org.flowable.dmn.model.NamedElement

  `name`

  ### Fields inherited from class org.flowable.dmn.model.DmnElement

  `attributes, description, extensionElements, id, label`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DmnDefinition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDecision(Decision decision)`
  `void`
  `addDecisionService(DecisionService decisionService)`
  `void`
  `addDecisionServiceDividerGraphicInfoList(String key, List<GraphicInfo> graphicInfoList)`
  `void`
  `addDecisionServiceDividerGraphicInfoListByDiagramId(String diagramId, String key, List<GraphicInfo> graphicInfoList)`
  `void`
  `addDiDiagram(DmnDiDiagram diDiagram)`
  `void`
  `addFlowGraphicInfoList(String key, List<GraphicInfo> graphicInfoList)`
  `void`
  `addFlowGraphicInfoListByDiagramId(String diagramId, String key, List<GraphicInfo> graphicInfoList)`
  `void`
  `addGraphicInfo(String key, GraphicInfo graphicInfo)`
  `void`
  `addGraphicInfoByDiagramId(String diagramId, String key, GraphicInfo graphicInfo)`
  `void`
  `addInputData(InputData inputData)`
  `void`
  `addItemDefinition(ItemDefinition itemDefinition)`
  `void`
  `addLabelGraphicInfo(String key, GraphicInfo graphicInfo)`
  `void`
  `addLabelGraphicInfoByDiagramId(String diagramId, String key, GraphicInfo graphicInfo)`
  `void`
  `addNamespace(String prefix, String uri)`
  `Decision`
  `getDecisionById(String id)`
  `List<Decision>`
  `getDecisions()`
  `DecisionService`
  `getDecisionServiceById(String id)`
  `List<GraphicInfo>`
  `getDecisionServiceDividerGraphicInfo(String key)`
  `Map<String,Map<String,List<GraphicInfo>>>`
  `getDecisionServiceDividerLocationByDiagramIdMap()`
  `Map<String,List<GraphicInfo>>`
  `getDecisionServiceDividerLocationMap()`
  `Map<String,List<GraphicInfo>>`
  `getDecisionServiceDividerLocationMapByDiagramId(String diagramId)`
  `List<DecisionService>`
  `getDecisionServices()`
  `DmnDiDiagram`
  `getDiDiagram(String diagramId)`
  `Map<String,DmnDiDiagram>`
  `getDiDiagramMap()`
  `String`
  `getExporter()`
  `String`
  `getExporterVersion()`
  `String`
  `getExpressionLanguage()`
  `Map<String,Map<String,List<GraphicInfo>>>`
  `getFlowLocationByDiagramIdMap()`
  `List<GraphicInfo>`
  `getFlowLocationGraphicInfo(String key)`
  `Map<String,List<GraphicInfo>>`
  `getFlowLocationMap()`
  `Map<String,List<GraphicInfo>>`
  `getFlowLocationMapByDiagramId(String diagramId)`
  `GraphicInfo`
  `getGraphicInfo(String key)`
  `GraphicInfo`
  `getGraphicInfoByDiagramId(String diagramId, String key)`
  `List<InputData>`
  `getInputData()`
  `List<ItemDefinition>`
  `getItemDefinitions()`
  `Map<String,GraphicInfo>`
  `getLabelLocationByDiagramId(String diagramId)`
  `Map<String,Map<String,GraphicInfo>>`
  `getLabelLocationByDiagramIdMap()`
  `Map<String,Map<String,GraphicInfo>>`
  `getLocationByDiagramIdMap()`
  `Map<String,GraphicInfo>`
  `getLocationMap()`
  `Map<String,GraphicInfo>`
  `getLocationMapByDiagramId(String diagramId)`
  `String`
  `getNamespace()`
  `Map<String,String>`
  `getNamespaces()`
  `String`
  `getTypeLanguage()`
  `void`
  `removeFlowLocationByDiagramId(String diagramId)`
  `void`
  `removeLabelGraphicInfo(String key)`
  `void`
  `removeLocationByDiagramId(String diagramId)`
  `void`
  `setExporter(String exporter)`
  `void`
  `setExporterVersion(String exporterVersion)`
  `void`
  `setExpressionLanguage(String expressionLanguage)`
  `void`
  `setInputData(List<InputData> inputData)`
  `void`
  `setItemDefinitions(List<ItemDefinition> itemDefinitions)`
  `void`
  `setNamespace(String namespace)`
  `void`
  `setTypeLanguage(String typeLanguage)`

  ### Methods inherited from class org.flowable.dmn.model.NamedElement

  `getName, setName`

  ### Methods inherited from class org.flowable.dmn.model.DmnElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getDescription, getExtensionElements, getId, getLabel, setAttributes, setDescription, setExtensionElements, setId, setLabel, setValues`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### expressionLanguage

    protected String expressionLanguage

  - ### typeLanguage

    protected String typeLanguage

  - ### namespace

    protected String namespace

  - ### exporter

    protected String exporter

  - ### exporterVersion

    protected String exporterVersion

  - ### namespaceMap

    protected Map<String,String> namespaceMap

  - ### inputData

    protected List<InputData> inputData

  - ### itemDefinitions

    protected List<ItemDefinition> itemDefinitions

  - ### decisions

    protected List<Decision> decisions

  - ### decisionServices

    protected List<DecisionService> decisionServices

  - ### diDiagrams

    protected Map<String,DmnDiDiagram> diDiagrams

  - ### locationMap

    protected Map<String,GraphicInfo> locationMap

  - ### locationByDiagramIdMap

    protected Map<String,Map<String,GraphicInfo>> locationByDiagramIdMap

  - ### labelLocationMap

    protected Map<String,GraphicInfo> labelLocationMap

  - ### labelLocationByDiagramIdMap

    protected Map<String,Map<String,GraphicInfo>> labelLocationByDiagramIdMap

  - ### flowLocationMap

    protected Map<String,List<GraphicInfo>> flowLocationMap

  - ### flowLocationByDiagramIdMap

    protected Map<String,Map<String,List<GraphicInfo>>> flowLocationByDiagramIdMap

  - ### decisionServiceDividerLocationMap

    protected Map<String,List<GraphicInfo>> decisionServiceDividerLocationMap

  - ### decisionServiceDividerLocationByDiagramIdMap

    protected Map<String,Map<String,List<GraphicInfo>>> decisionServiceDividerLocationByDiagramIdMap

- ## Constructor Details

  - ### DmnDefinition

    public DmnDefinition()

- ## Method Details

  - ### getExpressionLanguage

    public String getExpressionLanguage()

  - ### setExpressionLanguage

    public void setExpressionLanguage(String expressionLanguage)

  - ### getTypeLanguage

    public String getTypeLanguage()

  - ### setTypeLanguage

    public void setTypeLanguage(String typeLanguage)

  - ### getNamespace

    public String getNamespace()

  - ### setNamespace

    public void setNamespace(String namespace)

  - ### getInputData

    public List<InputData> getInputData()

  - ### setInputData

    public void setInputData(List<InputData> inputData)

  - ### addInputData

    public void addInputData(InputData inputData)

  - ### setItemDefinitions

    public void setItemDefinitions(List<ItemDefinition> itemDefinitions)

  - ### getItemDefinitions

    public List<ItemDefinition> getItemDefinitions()

  - ### addItemDefinition

    public void addItemDefinition(ItemDefinition itemDefinition)

  - ### getDecisions

    public List<Decision> getDecisions()

  - ### addDecision

    public void addDecision(Decision decision)

  - ### getDecisionById

    public Decision getDecisionById(String id)

  - ### getDecisionServices

    public List<DecisionService> getDecisionServices()

  - ### addDecisionService

    public void addDecisionService(DecisionService decisionService)

  - ### getDecisionServiceById

    public DecisionService getDecisionServiceById(String id)

  - ### getDiDiagram

    public DmnDiDiagram getDiDiagram(String diagramId)

  - ### getDiDiagramMap

    public Map<String,DmnDiDiagram> getDiDiagramMap()

  - ### addDiDiagram

    public void addDiDiagram(DmnDiDiagram diDiagram)

  - ### addGraphicInfo

    public void addGraphicInfo(String key, GraphicInfo graphicInfo)

  - ### addGraphicInfoByDiagramId

    public void addGraphicInfoByDiagramId(String diagramId, String key, GraphicInfo graphicInfo)

  - ### getGraphicInfo

    public GraphicInfo getGraphicInfo(String key)

  - ### getGraphicInfoByDiagramId

    public GraphicInfo getGraphicInfoByDiagramId(String diagramId, String key)

  - ### getLocationMap

    public Map<String,GraphicInfo> getLocationMap()

  - ### getLocationByDiagramIdMap

    public Map<String,Map<String,GraphicInfo>> getLocationByDiagramIdMap()

  - ### getLocationMapByDiagramId

    public Map<String,GraphicInfo> getLocationMapByDiagramId(String diagramId)

  - ### removeLocationByDiagramId

    public void removeLocationByDiagramId(String diagramId)

  - ### getFlowLocationGraphicInfo

    public List<GraphicInfo> getFlowLocationGraphicInfo(String key)

  - ### getFlowLocationMap

    public Map<String,List<GraphicInfo>> getFlowLocationMap()

  - ### getFlowLocationMapByDiagramId

    public Map<String,List<GraphicInfo>> getFlowLocationMapByDiagramId(String diagramId)

  - ### getFlowLocationByDiagramIdMap

    public Map<String,Map<String,List<GraphicInfo>>> getFlowLocationByDiagramIdMap()

  - ### removeFlowLocationByDiagramId

    public void removeFlowLocationByDiagramId(String diagramId)

  - ### addFlowGraphicInfoList

    public void addFlowGraphicInfoList(String key, List<GraphicInfo> graphicInfoList)

  - ### addFlowGraphicInfoListByDiagramId

    public void addFlowGraphicInfoListByDiagramId(String diagramId, String key, List<GraphicInfo> graphicInfoList)

  - ### getLabelLocationByDiagramIdMap

    public Map<String,Map<String,GraphicInfo>> getLabelLocationByDiagramIdMap()

  - ### getLabelLocationByDiagramId

    public Map<String,GraphicInfo> getLabelLocationByDiagramId(String diagramId)

  - ### addLabelGraphicInfo

    public void addLabelGraphicInfo(String key, GraphicInfo graphicInfo)

  - ### addLabelGraphicInfoByDiagramId

    public void addLabelGraphicInfoByDiagramId(String diagramId, String key, GraphicInfo graphicInfo)

  - ### removeLabelGraphicInfo

    public void removeLabelGraphicInfo(String key)

  - ### getDecisionServiceDividerLocationByDiagramIdMap

    public Map<String,Map<String,List<GraphicInfo>>> getDecisionServiceDividerLocationByDiagramIdMap()

  - ### getDecisionServiceDividerLocationMapByDiagramId

    public Map<String,List<GraphicInfo>> getDecisionServiceDividerLocationMapByDiagramId(String diagramId)

  - ### getDecisionServiceDividerLocationMap

    public Map<String,List<GraphicInfo>> getDecisionServiceDividerLocationMap()

  - ### getDecisionServiceDividerGraphicInfo

    public List<GraphicInfo> getDecisionServiceDividerGraphicInfo(String key)

  - ### addDecisionServiceDividerGraphicInfoList

    public void addDecisionServiceDividerGraphicInfoList(String key, List<GraphicInfo> graphicInfoList)

  - ### addDecisionServiceDividerGraphicInfoListByDiagramId

    public void addDecisionServiceDividerGraphicInfoListByDiagramId(String diagramId, String key, List<GraphicInfo> graphicInfoList)

  - ### getExporter

    public String getExporter()

  - ### setExporter

    public void setExporter(String exporter)

  - ### getExporterVersion

    public String getExporterVersion()

  - ### setExporterVersion

    public void setExporterVersion(String exporterVersion)

  - ### getNamespaces

    public Map<String,String> getNamespaces()

  - ### addNamespace

    public void addNamespace(String prefix, String uri)